Moonborn — API · config
Resolve all config items for the caller scope chain
GET/v1/configscope · Bearer (API key or session JWT)
Query parameters
| Field | Type | Description |
|---|---|---|
| category | string | |
| scope_level | string | |
| scope_id | string |
Responses
200Resolved config decisions
Body
| Field | Type | Description |
|---|---|---|
| chainreq | object | |
| decisionsreq | object[] |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
403Forbidden
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X GET https://api.moonborn.co/v1/config \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.listConfig();Python
import os from moonborn import Moonborn client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"]) result = client.config.list_config()